macneej
Enthusiast
Enthusiast

Upgrading Virtual Center from 2 to 2.5

Jump to solution

I have four ESX 3.0.1 servers and a virtual center running version 2.0 and I am wanting to upgrade the virtual center to version 2.5. I have conflicting information whether this solution will work so if you have done it or would like to comment I would appreciate hearing what you say.

The steps of what I will do is the following.

1. Install new server with Virtual center 2.5 on it.

2. Add my current 3.0 and 2.x licenses to the new virtual center and turn off evaluation mode.

3. Patch the ESX 3.0.1 servers with the following patches ESX-1002083, ESX-1002085, ESX-7557441

4. Disconnect the ESX servers from the current Virtual Center 2.0

5. Attach the ESX servers to the new Virtual Center 2.5

6. I have then two new ESX servers coming and I will install them with ESX 3.5 and add them to the new Virtual Center server

7. In a couple of months I will rebuild the current ESX servers to version 3.5

If you have info on the licensing issues and compatiblity issues I would appreciate it.

0 Kudos
1 Solution

Accepted Solutions
mike_laspina
Champion
Champion

I am using my 3.0.x licences on 3.5.0 with no issues.

http://blog.laspina.ca/ vExpert 2009

View solution in original post

0 Kudos
4 Replies
mike_laspina
Champion
Champion

Hello,

If you don't care about the performance data and don't mind recreating the security etc. it will work ok but you will need to remove the servers instead of disconnecting them.

Also verify the DNS works from all hosts and VC.

http://blog.laspina.ca/ vExpert 2009
macneej
Enthusiast
Enthusiast

Thanks Mike,

I also need to find out about the mixed licenses. Having 3.0.1 ESX licenses with 3.5 licenses. I am not sure how this works

0 Kudos
mike_laspina
Champion
Champion

I am using my 3.0.x licences on 3.5.0 with no issues.

http://blog.laspina.ca/ vExpert 2009

View solution in original post

0 Kudos
IVOXY
Enthusiast
Enthusiast

Agreed... No update to the license server is necessary. I'm currently running a 3.0.2 / 2.0.2 and a 3.5 / 2.5 sharing the same license server. The 3.5 were upgrades...